Skip to content

Fetch Call Data By ID

Endpoint: GET /calls/{callId}


Request

Headers

Header Value
Access-Token {access_token}
Content-Type application/json

Response (200 OK)

{
  "calls": {
    "id": 1234,
    "is_inbound": false,
    "is_answered": true,
    "is_in_queue": false,
    "contact": {
      "id": 4321,
      "full_name": "John Doe",
      "number_country_code": "1",
      "national_number": "234567890",
      "number": "1234567890",
      "list_ids": [
        1,
        2,
        3
      ]
    },
    "agents": [
      1
    ],
    "all_agents": [
      {
        "id": 1,
        "user_id": 43,
        "alias": "Agent Name",
        "sip": "sip:[email protected]",
        "started_at": 1747839084,
        "type": "agent",
        "is_any_transfer": false,
        "hangup_reason": "NORMAL_CLEARING"
      }
    ],
    "answered_agents": [
      {
        "id": 1,
        "user_id": 43,
        "alias": "Agent Name",
        "sip": "sip:[email protected]",
        "started_at": 1747839084,
        "type": "agent",
        "is_any_transfer": false,
        "hangup_reason": "NORMAL_CLEARING"
      }
    ],
    "external_numbers": [
      {
        "number": "1234567890",
        "is_any_transfer": false
      }
    ],
    "number": {
      "id": 1,
      "number": "1234567891",
      "numberWithAlias": "1234567891 (Number Alias/Friendly Name)",
      "alias": "Number Alias/Friendly Name"
    },
    "started_at": 1747839084,
    "duration": 5,
    "talk_time": 5,
    "requested_callback": false,
    "is_ended": true,
    "type": "answered",
    "is_answered_within_sla": true,
    "is_data_cached": true,
    "original_call_id": 2,
    "campaign": {
      "id": 1,
      "name": "Campaign Name"
    },
    "ring_group": {
      "id": 1,
      "name": "Ring Group Name"
    },
    "ivr": {
      "id": 1,
      "name": "IVR Name"
    },
    "disposition": {
      "id": 1,
      "code": "Successful Deal",
      "note": "This is a note for the disposition"
    },
    "recordings": [
      {
        "id": 12,
        "url": "https://media.plivo.com/v1/Account/{AccountPlivoID}/Recording/1234567890.mp3"
      }
    ],
    "tags": [
      "tag1", "tag2", "tag3"
    ]
  }
}